<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('programs', function (Blueprint $table) {
            $table->id();
            $table->string('main_title')->nullable();
            $table->string('main_code')->nullable();
            $table->string('background_image')->nullable();
            $table->longText('description')->nullable();
            $table->string('button_text')->nullable();
            $table->string('button_link')->nullable();
            $table->string('button_color')->nullable();
            $table->string('button_background_color')->nullable();
            $table->json('level_contain')->nullable();
            $table->string('curriculum_title')->nullable();
            $table->string('job_title')->nullable();
            $table->json('job_contain')->nullable();
            $table->json('program_members')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('programs');
    }
};
